# -*- encoding: utf-8 -*-
# stub: sensu-plugins-rabbitmq 8.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-rabbitmq".freeze
  s.version = "8.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2019-12-09"
  s.description = "This plugin provides native RabbitMQ instrumentation\n                              for monitoring and metrics collection, including:\n                              service health, message, consumer, and queue health/metrics\n                              via `rabbitmq_management`, and more".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-rabbitmq-queue.rb".freeze, "check-rabbitmq-messages.rb".freeze, "metrics-rabbitmq-exchange.rb".freeze, "check-rabbitmq-node-usage.rb".freeze, "check-rabbitmq-network-partitions.rb".freeze, "check-rabbitmq-amqp-alive.rb".freeze, "check-rabbitmq-stomp-alive.rb".freeze, "check-rabbitmq-node-health.rb".freeze, "check-rabbitmq-queues-synchronised.rb".freeze, "check-rabbitmq-queue-drain-time.rb".freeze, "check-rabbitmq-consumers.rb".freeze, "check-rabbitmq-queue.rb".freeze, "metrics-rabbitmq-overview.rb".freeze, "check-rabbitmq-cluster-health.rb".freeze, "check-rabbitmq-consumer-utilisation.rb".freeze, "check-rabbitmq-alive.rb".freeze]
  s.files = ["bin/check-rabbitmq-alive.rb".freeze, "bin/check-rabbitmq-amqp-alive.rb".freeze, "bin/check-rabbitmq-cluster-health.rb".freeze, "bin/check-rabbitmq-consumer-utilisation.rb".freeze, "bin/check-rabbitmq-consumers.rb".freeze, "bin/check-rabbitmq-messages.rb".freeze, "bin/check-rabbitmq-network-partitions.rb".freeze, "bin/check-rabbitmq-node-health.rb".freeze, "bin/check-rabbitmq-node-usage.rb".freeze, "bin/check-rabbitmq-queue-drain-time.rb".freeze, "bin/check-rabbitmq-queue.rb".freeze, "bin/check-rabbitmq-queues-synchronised.rb".freeze, "bin/check-rabbitmq-stomp-alive.rb".freeze, "bin/metrics-rabbitmq-exchange.rb".freeze, "bin/metrics-rabbitmq-overview.rb".freeze, "bin/metrics-rabbitmq-queue.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-rabbitmq".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for rabbitmq".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<amq-protocol>.freeze, ["= 2.0.1"])
    s.add_runtime_dependency(%q<bunny>.freeze, ["= 2.6.4"])
    s.add_runtime_dependency(%q<carrot-top>.freeze, ["= 0.0.7"])
    s.add_runtime_dependency(%q<inifile>.freeze, ["= 3.0.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_runtime_dependency(%q<ruby_dig>.freeze, ["= 0.0.2"])
    s.add_runtime_dependency(%q<stomp>.freeze, ["= 1.4.7"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.16.1"])
    s.add_development_dependency(%q<simplecov-console>.freeze, ["~> 0.4.2"])
    s.add_development_dependency(%q<simplecov-html>.freeze, ["~> 0.10.2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<amq-protocol>.freeze, ["= 2.0.1"])
    s.add_dependency(%q<bunny>.freeze, ["= 2.6.4"])
    s.add_dependency(%q<carrot-top>.freeze, ["= 0.0.7"])
    s.add_dependency(%q<inifile>.freeze, ["= 3.0.0"])
    s.add_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_dependency(%q<ruby_dig>.freeze, ["= 0.0.2"])
    s.add_dependency(%q<stomp>.freeze, ["= 1.4.7"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16.1"])
    s.add_dependency(%q<simplecov-console>.freeze, ["~> 0.4.2"])
    s.add_dependency(%q<simplecov-html>.freeze, ["~> 0.10.2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
